/*
*******************************************************************************
* Copyright (c) 1994 Chinchilla Software Limited
*******************************************************************************
* System    : Oracle date routines
* Module    : ora_date.h
* $Source$
* Author(s) : Chris Dipple
* Date      : 20-JAN-94
* $Revision$
* Purpose   : 
*
*	Time routine header file
*
*******************************************************************************
* Change history
*
* Version     Date      Time      Done by       
* ----------  --------  --------  -------------
* $Log$
*
*******************************************************************************
*/

#ifndef ORA_DATE_H
#define ORA_DATE_H
#include <sys/types.h>
#include <time.h>

struct tm *date_val(char *, char *, char **, time_t *);

char      *to_char(time_t, const char *);
time_t     to_date(const char *, const char *);
time_t     date_trunc(time_t, const char *);
time_t     add_months(time_t, const int);
time_t     new_time(time_t, const char *, const char *);
time_t     next_day(time_t, const char *);
time_t     last_day(time_t);
int        months_between(time_t, time_t);
time_t     sysdate(void);

#endif /* ORA_DATE_H */
